# Get pricelist item

Gets a price item within a price list.

## GET /public/v1/catalog/price-lists/{priceListId}/items/{id}

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/catalog/price-lists/{priceListId}/items/{id}":{"get":{"tags":["PriceListsItems"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"select","in":"query","schema":{"type":"string"}},{"name":"priceListId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceListItem"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PriceListItem":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PriceListItemAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"name":{"type":"string"},"status":{"enum":["Draft","Private","ForSale"],"type":"string"},"description":{"type":"string","nullable":true},"info":{"allOf":[{"$ref":"#/components/schemas/PriceInfo"}]},"reasonForChange":{"type":"string","nullable":true},"unitLP":{"type":"number","format":"double","nullable":true},"unitPP":{"type":"number","format":"double","nullable":true},"markup":{"type":"number","format":"double","nullable":true},"margin":{"type":"number","format":"double","nullable":true},"unitSP":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"LPx1":{"type":"number","format":"double","nullable":true},"LPxM":{"type":"number","format":"double","nullable":true},"LPxY":{"type":"number","format":"double","nullable":true},"priceList":{"type":"object","allOf":[{"$ref":"#/components/schemas/PriceListRef"}]},"item":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductItemRef"}]}},"additionalProperties":false},"PriceListItemAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PriceInfo":{"type":"object","properties":{"visible":{"type":"boolean"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"PriceListRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"}},"additionalProperties":false},"ProductItemRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductItemExternalIdBag"}]}},"additionalProperties":false},"ProductItemExternalIdBag":{"type":"object","properties":{"vendor":{"type":"string"},"operations":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
